From 9736d60e28531384fc45d8c35002951497f868c9 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 18 2023 21:58:47 +0000
Subject: [PATCH 9/19] [pulseaudio]: rebuild to provide 'pulse-native-provider'


---

diff --git a/nonsystemd/pulseaudio/PKGBUILD b/nonsystemd/pulseaudio/PKGBUILD
index 811ee17..7ee701f 100644
--- a/nonsystemd/pulseaudio/PKGBUILD
+++ b/nonsystemd/pulseaudio/PKGBUILD
@@ -1,5 +1,6 @@
 # Maintainer: David P. <megver83@parabola.nu>
-# Maintainer (Artix): Nathan <ndowens@artixlinux.org>
+# Maintainer (arch): Jan Alexander Steffens (heftig) <heftig@archlinux.org>
+# Maintainer (artix): Nathan <ndowens@artixlinux.org>
 
 pkgbase=pulseaudio
 pkgname=(
@@ -13,7 +14,7 @@ pkgname=(
   pulseaudio-rtp
 )
 pkgver=16.1
-pkgrel=6
+pkgrel=7
 pkgrel+=.nonsystemd1
 pkgdesc="A featureful, general-purpose sound server"
 url="https://www.freedesktop.org/wiki/Software/PulseAudio/"
@@ -70,16 +71,18 @@ prepare() {
 }
 
 build() {
+  artix-meson() { arch-meson "$@" ; } # minimize diff
+
   local meson_options=(
-    -D pulsedsp-location='/usr/\$LIB/pulseaudio'
     -D elogind=enabled
+    -D pulsedsp-location='/usr/\$LIB/pulseaudio'
     -D stream-restore-clear-old-devices=true
     -D tcpwrap=disabled
     -D systemd=disabled
     -D udevrulesdir=/usr/lib/udev/rules.d
   )
 
-  arch-meson pulseaudio build "${meson_options[@]}"
+  artix-meson pulseaudio build "${meson_options[@]}"
   meson compile -C build
 }
 
@@ -123,6 +126,8 @@ package_pulseaudio() {
     'pulseaudio-rtp: RTP and RAOP support'
     'pulseaudio-zeroconf: Zeroconf support'
   )
+  provides=(pulse-native-provider)
+  conflicts=(pipewire-pulse)
   backup=(
     etc/pulse/daemon.conf
     etc/pulse/default.pa
@@ -150,6 +155,10 @@ package_pulseaudio() {
   sed -e '/Load several protocols/aload-module module-dbus-protocol' \
       -i etc/pulse/default.pa
 
+  # Avoid warning about nonexistent dir
+  # https://gitlab.archlinux.org/archlinux/packaging/packages/pulseaudio/-/issues/3
+  mkdir -p etc/pulse/{default,system}.pa.d
+
   rm -r etc/dbus-1
 
   # Split packages
@@ -198,7 +207,10 @@ package_libpulse() {
     libsndfile
     libxcb
   )
-  optdepends=('glib2: mainloop integration')
+  optdepends=(
+    'glib2: mainloop integration'
+    'pulse-native-provider: PulseAudio backend'
+  )
   provides=(
     libpulse-mainloop-glib.so
     libpulse-simple.so

